#pragma once
#include "body.h"

class Frame;

class Sfx: public Body {
public:
  OBJDEF(Sfx, Body, SFX);
  enum TYPE { TYPE_EXPLOSION };

  static void Add(const Body*, TYPE);

  Sfx(void);
  //vitural ~Sfx(void);
  virtual void SetPosition(vector3d p);
  virtual vector3d GetPosition(void) const { return m_pos; }
  virtual double GetRadius(void) const { return 10; };
  virtual void Render(const Frame* camFrame);
  void TimeStepUpdate(const float timeStep);

protected:
  virtual void Save(void);
  virtual void Load(void);

private:
  vector3d m_pos;
  float m_age;
  enum TYPE m_type;
};

